Skip to Content
avatar image
Former Member

HANA2.0 express SAPUI5_1 missing sap.m.semantic package

Hi everyone,

I am developing a UI5 app and using sap.m.semantic as view content. But I got an error which said can not find the sap.m.semantic:DetailPage.js. So I checked with the UI5 package at my server(Express 2.0), and it also showed no semantic package available.

Any Idea, guys?

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Apr 03, 2017 at 11:55 AM

    Looks like sap.m.semantic came in UI5 version 1.36 and if memory serves me right the UI5 version in XSC is 1.28.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Apr 04, 2017 at 09:38 AM

    Yes, I checked the version which is "1.28.38". Is that possible to update UI5 libs in express 2.0? Thanks.

    Add comment
    10|10000 characters needed characters exceeded

    • In the XSC environment, I don't believe that any further SAPUI5 updates are planned. XSA does get updates and 1.38 shipped with HANA 2.0 SPS 0 and 1.44 is planned to ship in SPS 01.